---
Fuzzer filename: '/src/pcd_hash_fuzzer.cc'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    __gxx_personality_v0
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __clang_call_terminate
      functionSourceFile: ''
      linkageType:     WeakODRLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          3
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached:
        - __cxa_begin_catch
      functionUses:    9
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_begin_catch
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_allocate_exception
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt20bad_array_new_lengthC1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt20bad_array_new_lengthD1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_throw
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    abort
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt12length_errorC2B8ne180100EPKc
      functionSourceFile: '/usr/local/bin/../include/c++/v1/stdexcept'
      linkageType:     InternalLinkage
      functionLinenumber: 152
      functionLinenumberEnd: 152
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - this
        - __s
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZNSt11logic_errorC2EPKc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/usr/local/bin/../include/c++/v1/stdexcept:152,66'
          Dst:             _ZNSt11logic_errorC2EPKc
    - functionName:    _ZNSt11logic_errorC2EPKc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt12length_errorD1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_free_exception
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_end_catch
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL13u8to32_littlePjPKh
      functionSourceFile: '/src/pycryptodome/src/endianess.h'
      linkageType:     InternalLinkage
      functionLinenumber: 50
      functionLinenumberEnd: 56
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - w
        - p
      BBCount:         1
      ICount:          34
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL18load_u8to32_littlePKh
      functionSourceFile: '/src/pycryptodome/src/endianess.h'
      linkageType:     InternalLinkage
      functionLinenumber: 80
      functionLinenumberEnd: 84
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - p
      BBCount:         3
      ICount:          19
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZL13u8to32_littlePjPKh
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'endianess.h:83,5'
          Dst:             _ZL13u8to32_littlePjPKh
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/pcd_hash_fuzzer.cc'
      linkageType:     externalLinkage
      functionLinenumber: 42
      functionLinenumberEnd: 71
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - data
        - size
      BBCount:         21
      ICount:          120
      EdgeCount:       21
      CyclomaticComplexity: 2
      functionsReached:
        - _Z14ripemd160_initPP10hash_state
        - _Z16ripemd160_digestPK10hash_statePh
        - _Z16ripemd160_updateP10hash_statePKhm
        - _Z17ripemd160_destroyP10hash_state
      functionUses:    0
      BranchProfiles:
        - Branch String:   'pcd_hash_fuzzer.cc:44,7'
          Branch Sides:
            - BranchSide:      'pcd_hash_fuzzer.cc:45,5'
              BranchSideFuncs:
                - _ZN18FuzzedDataProviderC2EPKhm
                - _Z14ripemd160_initPP10hash_state
                - _ZN18FuzzedDataProvider15remaining_bytesEv
                - _Z16ripemd160_digestPK10hash_statePh
                - _Z17ripemd160_destroyP10hash_state
                - _ZN18FuzzedDataProvider15ConsumeIntegralImEET_v
                - _ZN18FuzzedDataProvider12ConsumeBytesIhEENSt3__16vectorIT_NS1_9allocatorIS3_EEEEm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEE4dataB8ne180100Ev
                - _ZNKSt3__16vectorIhNS_9allocatorIhEEE4sizeB8ne180100Ev
                - _Z16ripemd160_updateP10hash_statePKhm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
            - BranchSide:      'pcd_hash_fuzzer.cc:47,29'
              BranchSideFuncs:
                - _ZN18FuzzedDataProviderC2EPKhm
                - _Z14ripemd160_initPP10hash_state
                - _ZN18FuzzedDataProvider15remaining_bytesEv
                - _Z16ripemd160_digestPK10hash_statePh
                - _Z17ripemd160_destroyP10hash_state
                - _ZN18FuzzedDataProvider15ConsumeIntegralImEET_v
                - _ZN18FuzzedDataProvider12ConsumeBytesIhEENSt3__16vectorIT_NS1_9allocatorIS3_EEEEm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEE4dataB8ne180100Ev
                - _ZNKSt3__16vectorIhNS_9allocatorIhEEE4sizeB8ne180100Ev
                - _Z16ripemd160_updateP10hash_statePKhm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
        - Branch String:   'pcd_hash_fuzzer.cc:49,7'
          Branch Sides:
            - BranchSide:      'pcd_hash_fuzzer.cc:50,5'
              BranchSideFuncs: []
            - BranchSide:      'pcd_hash_fuzzer.cc:52,3'
              BranchSideFuncs:
                - _ZN18FuzzedDataProvider15remaining_bytesEv
                - _Z16ripemd160_digestPK10hash_statePh
                - _Z17ripemd160_destroyP10hash_state
                - _ZN18FuzzedDataProvider15ConsumeIntegralImEET_v
                - _ZN18FuzzedDataProvider12ConsumeBytesIhEENSt3__16vectorIT_NS1_9allocatorIS3_EEEEm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEE4dataB8ne180100Ev
                - _ZNKSt3__16vectorIhNS_9allocatorIhEEE4sizeB8ne180100Ev
                - _Z16ripemd160_updateP10hash_statePKhm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
        - Branch String:   'pcd_hash_fuzzer.cc:52,3'
          Branch Sides:
            - BranchSide:      'pcd_hash_fuzzer.cc:53,31'
              BranchSideFuncs:
                - _ZN18FuzzedDataProvider15ConsumeIntegralImEET_v
                - _ZN18FuzzedDataProvider12ConsumeBytesIhEENSt3__16vectorIT_NS1_9allocatorIS3_EEEEm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEE4dataB8ne180100Ev
                - _ZNKSt3__16vectorIhNS_9allocatorIhEEE4sizeB8ne180100Ev
                - _Z16ripemd160_updateP10hash_statePKhm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
                - _Z17ripemd160_destroyP10hash_state
                - _ZN18FuzzedDataProvider15remaining_bytesEv
                - _Z16ripemd160_digestPK10hash_statePh
            - BranchSide:      'pcd_hash_fuzzer.cc:63,10'
              BranchSideFuncs:
                - _Z16ripemd160_digestPK10hash_statePh
                - _Z17ripemd160_destroyP10hash_state
        - Branch String:   'pcd_hash_fuzzer.cc:56,9'
          Branch Sides:
            - BranchSide:      'pcd_hash_fuzzer.cc:0,0'
              BranchSideFuncs:
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
                - _Z17ripemd160_destroyP10hash_state
                - _ZN18FuzzedDataProvider15remaining_bytesEv
                - _Z16ripemd160_digestPK10hash_statePh
                - _ZN18FuzzedDataProvider15ConsumeIntegralImEET_v
                - _ZN18FuzzedDataProvider12ConsumeBytesIhEENSt3__16vectorIT_NS1_9allocatorIS3_EEEEm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEE4dataB8ne180100Ev
                - _ZNKSt3__16vectorIhNS_9allocatorIhEEE4sizeB8ne180100Ev
                - _Z16ripemd160_updateP10hash_statePKhm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
            - BranchSide:      'pcd_hash_fuzzer.cc:58,3'
              BranchSideFuncs:
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
                - _Z17ripemd160_destroyP10hash_state
                - _ZN18FuzzedDataProvider15remaining_bytesEv
                - _Z16ripemd160_digestPK10hash_statePh
                - _ZN18FuzzedDataProvider15ConsumeIntegralImEET_v
                - _ZN18FuzzedDataProvider12ConsumeBytesIhEENSt3__16vectorIT_NS1_9allocatorIS3_EEEEm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEE4dataB8ne180100Ev
                - _ZNKSt3__16vectorIhNS_9allocatorIhEEE4sizeB8ne180100Ev
                - _Z16ripemd160_updateP10hash_statePKhm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
        - Branch String:   ''
          Branch Sides:
            - BranchSide:      'pcd_hash_fuzzer.cc:0,0'
              BranchSideFuncs:
                - _Z17ripemd160_destroyP10hash_state
            - BranchSide:      'pcd_hash_fuzzer.cc:52,3'
              BranchSideFuncs:
                - _ZN18FuzzedDataProvider15remaining_bytesEv
                - _Z16ripemd160_digestPK10hash_statePh
                - _Z17ripemd160_destroyP10hash_state
                - _ZN18FuzzedDataProvider15ConsumeIntegralImEET_v
                - _ZN18FuzzedDataProvider12ConsumeBytesIhEENSt3__16vectorIT_NS1_9allocatorIS3_EEEEm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEE4dataB8ne180100Ev
                - _ZNKSt3__16vectorIhNS_9allocatorIhEEE4sizeB8ne180100Ev
                - _Z16ripemd160_updateP10hash_statePKhm
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
                - _ZNSt3__16vectorIhNS_9allocatorIhEEED2B8ne180100Ev
      Callsites:
        - Src:             'pcd_hash_fuzzer.cc:49,7'
          Dst:             _Z14ripemd160_initPP10hash_state
        - Src:             'pcd_hash_fuzzer.cc:56,9'
          Dst:             _Z16ripemd160_updateP10hash_statePKhm
        - Src:             'pcd_hash_fuzzer.cc:63,3'
          Dst:             _Z16ripemd160_digestPK10hash_statePh
        - Src:             'pcd_hash_fuzzer.cc:69,3'
          Dst:             _Z17ripemd160_destroyP10hash_state
    - functionName:    _Z14ripemd160_initPP10hash_state
      functionSourceFile: '/src/pycryptodome/src/RIPEMD160.c'
      linkageType:     InternalLinkage
      functionLinenumber: 146
      functionLinenumberEnd: 163
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ripemd160State
      BBCount:         8
      ICount:          47
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - calloc
      functionUses:    1
      BranchProfiles:
        - Branch String:   'RIPEMD160.c:153,9'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:154,9'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:157,42'
              BranchSideFuncs:
                - calloc
        - Branch String:   'RIPEMD160.c:158,9'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:159,9'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:161,12'
              BranchSideFuncs: []
      Callsites:
        - Src:             'RIPEMD160.c:157,42'
          Dst:             calloc
    - functionName:    _Z16ripemd160_updateP10hash_statePKhm
      functionSourceFile: '/src/pycryptodome/src/RIPEMD160.c'
      linkageType:     InternalLinkage
      functionLinenumber: 260
      functionLinenumberEnd: 291
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - hs
        - in
        - len
      BBCount:         14
      ICount:          132
      EdgeCount:       18
      CyclomaticComplexity: 6
      functionsReached:
        - _ZL18ripemd160_compressP10hash_state
      functionUses:    1
      BranchProfiles:
        - Branch String:   'RIPEMD160.c:263,18'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:263,27'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:264,9'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:263,9'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:264,9'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:266,5'
              BranchSideFuncs:
                - _ZL18ripemd160_compressP10hash_state
        - Branch String:   'RIPEMD160.c:266,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:268,29'
              BranchSideFuncs:
                - _ZL18ripemd160_compressP10hash_state
            - BranchSide:      'RIPEMD160.c:290,5'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:270,13'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:273,21'
              BranchSideFuncs:
                - _ZL18ripemd160_compressP10hash_state
            - BranchSide:      'RIPEMD160.c:284,17'
              BranchSideFuncs: []
      Callsites:
        - Src:             'RIPEMD160.c:277,13'
          Dst:             _ZL18ripemd160_compressP10hash_state
    - functionName:    _Z16ripemd160_digestPK10hash_statePh
      functionSourceFile: '/src/pycryptodome/src/RIPEMD160.c'
      linkageType:     InternalLinkage
      functionLinenumber: 304
      functionLinenumberEnd: 332
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - hs
        - ripemd160_digest
      BBCount:         16
      ICount:          101
      EdgeCount:       20
      CyclomaticComplexity: 6
      functionsReached:
        - _ZL13u32to8_littlePhPKj
        - _ZL13u64to8_littlePhPKm
        - _ZL18ripemd160_compressP10hash_state
      functionUses:    1
      BranchProfiles:
        - Branch String:   'RIPEMD160.c:308,18'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:308,21'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:309,9'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:308,9'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:309,9'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:311,12'
              BranchSideFuncs:
                - _ZL13u64to8_littlePhPKm
                - _ZL18ripemd160_compressP10hash_state
                - _ZL13u32to8_littlePhPKj
                - _ZL18ripemd160_compressP10hash_state
        - Branch String:   'RIPEMD160.c:316,9'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:317,13'
              BranchSideFuncs:
                - _ZL18ripemd160_compressP10hash_state
                - _ZL13u64to8_littlePhPKm
                - _ZL18ripemd160_compressP10hash_state
                - _ZL13u32to8_littlePhPKj
            - BranchSide:      'RIPEMD160.c:322,5'
              BranchSideFuncs:
                - _ZL13u64to8_littlePhPKm
                - _ZL18ripemd160_compressP10hash_state
                - _ZL13u32to8_littlePhPKj
        - Branch String:   'RIPEMD160.c:328,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:329,9'
              BranchSideFuncs:
                - _ZL13u32to8_littlePhPKj
            - BranchSide:      'RIPEMD160.c:331,5'
              BranchSideFuncs: []
      Callsites:
        - Src:             'RIPEMD160.c:318,9'
          Dst:             _ZL18ripemd160_compressP10hash_state
        - Src:             'RIPEMD160.c:322,5'
          Dst:             _ZL13u64to8_littlePhPKm
        - Src:             'RIPEMD160.c:324,5'
          Dst:             _ZL18ripemd160_compressP10hash_state
        - Src:             'RIPEMD160.c:329,9'
          Dst:             _ZL13u32to8_littlePhPKj
    - functionName:    _Z17ripemd160_destroyP10hash_state
      functionSourceFile: '/src/pycryptodome/src/RIPEMD160.c'
      linkageType:     InternalLinkage
      functionLinenumber: 166
      functionLinenumberEnd: 168
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - hs
      BBCount:         3
      ICount:          16
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL18ripemd160_compressP10hash_state
      functionSourceFile: '/src/pycryptodome/src/RIPEMD160.c'
      linkageType:     InternalLinkage
      functionLinenumber: 173
      functionLinenumberEnd: 257
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - self
      BBCount:         47
      ICount:          1194
      EdgeCount:       58
      CyclomaticComplexity: 13
      functionsReached:
        - _ZL18load_u8to32_littlePKh
      functionUses:    3
      BranchProfiles:
        - Branch String:   'RIPEMD160.c:180,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:181,19'
              BranchSideFuncs:
                - _ZL18load_u8to32_littlePKh
            - BranchSide:      'RIPEMD160.c:184,15'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:192,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:193,13'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:196,12'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:196,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:197,13'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:202,10'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:203,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:204,13'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:207,12'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:207,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:208,13'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:213,10'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:214,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:215,13'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:218,12'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:218,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:219,13'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:224,10'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:225,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:226,13'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:229,12'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:229,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:230,13'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:235,10'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:236,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:237,13'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:240,12'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:240,5'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:241,13'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:246,9'
              BranchSideFuncs: []
      Callsites:
        - Src:             'RIPEMD160.c:181,19'
          Dst:             _ZL18load_u8to32_littlePKh
    - functionName:    _ZL13u64to8_littlePhPKm
      functionSourceFile: '/src/pycryptodome/src/endianess.h'
      linkageType:     InternalLinkage
      functionLinenumber: 102
      functionLinenumberEnd: 115
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - p
        - w
      BBCount:         1
      ICount:          65
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL13u32to8_littlePhPKj
      functionSourceFile: '/src/pycryptodome/src/endianess.h'
      linkageType:     InternalLinkage
      functionLinenumber: 38
      functionLinenumberEnd: 47
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - p
        - w
      BBCount:         1
      ICount:          37
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    calloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _Z14ripemd160_copyPK10hash_statePS_
      functionSourceFile: '/src/pycryptodome/src/RIPEMD160.c'
      linkageType:     InternalLinkage
      functionLinenumber: 294
      functionLinenumberEnd: 301
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - src
        - dst
      BBCount:         7
      ICount:          36
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    0
      BranchProfiles:
        - Branch String:   'RIPEMD160.c:295,21'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:295,32'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:296,9'
              BranchSideFuncs: []
        - Branch String:   'RIPEMD160.c:295,9'
          Branch Sides:
            - BranchSide:      'RIPEMD160.c:296,9'
              BranchSideFuncs: []
            - BranchSide:      'RIPEMD160.c:299,13'
              BranchSideFuncs: []
      Callsites:       []
...
